/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.VDataquierLogic;

import org.jooq.impl.TableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class VDataquierLogicRecord extends TableRecordImpl<VDataquierLogicRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.v_dataquier_logic.fk_element</code>.
     */
    public void setFkElement(Integer value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_logic.fk_element</code>.
     */
    public Integer getFkElement() {
        return (Integer) get(0);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_logic.dependency</code>.
     */
    public void setDependency(String value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_logic.dependency</code>.
     */
    public String getDependency() {
        return (String) get(1);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_logic.softlimit</code>.
     */
    public void setSoftlimit(String value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_logic.softlimit</code>.
     */
    public String getSoftlimit() {
        return (String) get(2);
    }

    /**
     * Setter for <code>common_dd.v_dataquier_logic.hardlimit</code>.
     */
    public void setHardlimit(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.v_dataquier_logic.hardlimit</code>.
     */
    public String getHardlimit() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached VDataquierLogicRecord
     */
    public VDataquierLogicRecord() {
        super(VDataquierLogic.V_DATAQUIER_LOGIC);
    }

    /**
     * Create a detached, initialised VDataquierLogicRecord
     */
    public VDataquierLogicRecord(Integer fkElement, String dependency, String softlimit, String hardlimit) {
        super(VDataquierLogic.V_DATAQUIER_LOGIC);

        setFkElement(fkElement);
        setDependency(dependency);
        setSoftlimit(softlimit);
        setHardlimit(hardlimit);
        resetChangedOnNotNull();
    }
}
